/*
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 */
#include <stdlib.h>
#include <gtk/gtk.h>
#include "interface.h"
#include "load.h"
#include "free.h"
#include "alloc.h"
#include "def.h"

int main(int argc, char *argv[])
{
	
	struct _prog prog_data = 
	{
		/* see def.h for more details 
		 * about struct _prog */
		
		/* lists ... */
		NULL, NULL, NULL, NULL, NULL, NULL,
		/* move card */
		NULL, 
		/* pixmap, bitmap and widgets */
		NULL, NULL, NULL, NULL, NULL, NULL, NULL,
		/* allwidgets array */
		NULL,
		/* [enum egstate, int, int, ...] */
		LOADING, -1, -1, -1, -1, -1, -1, 
		
		/*- only this part can be customised -*/
		/*- output stream, should be stdout or a file (FILE*) -*/
		stdout, 
		/*- animation -*/
		TRUE
	};
	
	gtk_init(&argc, &argv);
	
	
	prog_data.allwidgets = interface_create(6, &prog_data);
	
	if(prog_data.allwidgets != NULL)
	{
		
		gtk_widget_show_all(prog_data.allwidgets[0]);

		gtk_main();	
		
		
		free_prog(&prog_data);
		
	}
	
	return(0);
}
